Package com.ocient.jdbc.proto

## Interface PlanProtocol.ColumnInfo.DecimalInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ColumnInfo.DecimalInfo`, `PlanProtocol.ColumnInfo.DecimalInfo.Builder`

Enclosing class:
  PlanProtocol.ColumnInfo

    public static interface PlanProtocol.ColumnInfo.DecimalInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getDecimalPrecision()` `uint32 decimal_precision = 1;`
`int` `getDecimalScale()` `uint32 decimal_scale = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDecimalPrecision

    int getDecimalPrecision()

`uint32 decimal_precision = 1;`

Returns:
  The decimalPrecision.

#### getDecimalScale

    int getDecimalScale()

`uint32 decimal_scale = 2;`

Returns:
  The decimalScale.